Bug 253570 - Review Request: ocaml-camlp5 - Classical version of camlp4 OCaml preprocessor
Review Request: ocaml-camlp5 - Classical version of camlp4 OCaml preprocessor
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-20 12:51 EDT by Richard W.M. Jones
Modified: 2012-11-16 11:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-01 14:18:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-08-20 12:51:11 EDT
Spec URL: http://annexia.org/tmp/ocaml/ocaml-camlp5.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-camlp5-4.07-2.fc8.src.rpm
Camlp5 is a preprocessor-pretty-printer of OCaml.

It is the continuation of the classical camlp4 with new features.

OCaml 3.10 and above have an official camlp4 which is incompatible
with classical (<= 3.09) versions.  You can find that in the
ocaml-camlp4 package.
Comment 1 Till Maas 2007-09-06 09:19:11 EDT
ocaml-camlp5 4.08 was released recently.
Comment 2 Stijn Hoop 2007-12-13 09:01:49 EST
Here's an updated version for camlp5 version 5.04 (thanks to Richard for the
excellent .spec file above):

Spec URL: http://sandcat.nl/~stijn/RPM/ocaml-camlp5.spec
SRPM URL: http://sandcat.nl/~stijn/RPM/ocaml-camlp5-5.04-1.fc8.src.rpm

I needed it as a dependency for software for a user (coq, http://coq.inria.fr/),
so I cannot vouch for the validity of the executables myself (I know next to
nothing about ocaml). The dependent software did build though so I assume that
it's ok.
Comment 3 Jason Tibbitts 2008-01-20 16:23:21 EST
So which package should be reviewed here?  This is Richard's ticket; Richard,
did you want to update to a more recent version?  Unfortunately I can't get to
annexia.org to grab any of your packages.

While I'm at it, I don't know what to make of these; the current ocaml
guidelines don't mention .opt files:
  ocaml-camlp5-devel.x86_64: W: unstripped-binary-or-object /usr/bin/camlp5o.opt
  ocaml-camlp5-devel.x86_64: W: unstripped-binary-or-object /usr/bin/camlp5r.opt

The only other package I can see in the distro that includes .opt files is the
ocaml-camlp4-devel package, and rpmlint doesn't seem to complain about them.
Comment 4 Richard W.M. Jones 2008-02-12 07:12:01 EST
I'm very happy to go with Stijn's updated version.

Those *.opt files are native binaries and in this case are necessary 
and cannot be renamed.
However they can be stripped.

Updated SRPM, which includes Stijn's changes and strips the opt files:

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-camlp5.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-camlp5-5.04-2.fc8.src.rpm

This version passes rpmlint for the SRPMs and RPMs, except for the bogus
warning about ./configure missing --libdir.
Comment 5 Jason Tibbitts 2008-02-15 23:05:35 EST
Looks like this needs an update for ocaml 3.10.1.
Comment 6 Richard W.M. Jones 2008-02-21 09:01:40 EST
Upstream move to fast!

Updated to 5.08 / OCaml 3.10.1.

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-camlp5.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-camlp5-5.08-1.fc9.src.rpm

* Thu Feb 21 2008 Richard W.M. Jones <rjones@redhat.com> - 5.08-1
- New upstream version 5.08.
- BR ocaml >= 3.10.1.
Comment 7 Jason Tibbitts 2008-03-01 00:12:32 EST
Builds fine now.  rpmlint says:
  ocaml-camlp5.src:47: E: configure-without-libdir-spec
but this isn't an autoconf-generated configure script, so libdir would be
pointless here.

* source files match upstream:
* package meets naming and versioning guidelines.
* ocaml guidelines are followed
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   ocaml(Argl) = 35f8ceaaa71292654d481dc8901bc381
   ocaml(Ast2pt) = 71e1b157827de6de2420faff5228c845
   ocaml(Camlp5_top) = 9f1cf9770c968e123065ae96a55abcde
   ocaml(Diff) = 8b972b73d1878b597492cf5bfd0aea0d
   ocaml(Dynlink) = 69a6392e1ed51c60a9eb78a769019c50
   ocaml(Dynlinkaux) = d3335d20d064caee7672e62426bf0977
   ocaml(Eprinter) = 0ff881d7ed347508aa30ec0b6091c97e
   ocaml(Exparser) = d9c2eff7b35183c6a1fbca0be8eafee9
   ocaml(Extfold) = 76f7be78a8a097b449876bde89c2f00f
   ocaml(Extfun) = bf9f0d3b771dc4a8e2cab1ae5aae65c9
   ocaml(Fstream) = 1dcd2b7a1a05112dd4bdb51722442ece
   ocaml(Gramext) = 4d9577d1bf3db269f045d8fa652521bf
   ocaml(Grammar) = 6d45f4af658371d5c8765034f9ff742b
   ocaml(Main) = f11d28f6341af89621e4cc91107aa65a
   ocaml(MLast) = be104577b9a4b984f8931d2130127173
   ocaml(Ocpp) = 58d09e20b9071f37e12a5b0771a3fdce
   ocaml(Odyl_config) = dfc471eabfa5e874a03436a8d2926a0f
   ocaml(Odyl) = f71c02840f4a895325408f77f5701255
   ocaml(Odyl_main) = b82c680ce0186be992e85a2010a32207
   ocaml(Pa_extfold) = 30baee34d7800715abec5b33ae26f937
   ocaml(Pa_extfun) = 216165ed476276dcc4812fa8d59aee0c
   ocaml(Pa_extprint) = 48721d0ee10329196136e5dfe4a9e7c5
   ocaml(Pa_fstream) = 3a7c220c5c6911058d0b88659878c61f
   ocaml(Pa_lefteval) = 9f2b2aa37f19323dec54cb5f63ff8fef
   ocaml(Pa_lexer) = 4fde2620496b1f13c12efe0894d4c7d1
   ocaml(Pa_lisp) = f8d7647d87ce6f33282f7a1df0c80b1b
   ocaml(Pa_macro) = 44ff1c984abd07d3d70bc2e4da05b57f
   ocaml(Pa_o) = 802907e90db466cb498edb4963ab98e0
   ocaml(Pa_oop) = 3849a5c129644e7ac90203b11191cae7
   ocaml(Pa_op) = 81c16a5d85480192e890db239bf58101
   ocaml(Pa_pprintf) = c08619c44e944fa57ca2dafc29a76b6b
   ocaml(Pa_pragma) = 64a9e192d9d16ff0ce24a767e799efbd
   ocaml(Pa_r) = d74585ed6cfba9276b21d12470c85430
   ocaml(Pa_rp) = b5d39508bd4202be58791b2a1a17dbae
   ocaml(Parserify) = 71d40f486c1d76278ae021e88a3bcbf6
   ocaml(Pa_scheme) = c23780a663b87fbb0f9ff2621af93beb
   ocaml(Pa_sml) = 432c9b3ba70de25e25888d8edbc934a0
   ocaml(Pcaml) = fa8d675b25376fd4fea7183f1f80e197
   ocaml(Pconfig) = f03260291e2e4577f16334f036f4d645
   ocaml(Plexer) = 3ccb2562c74ea71648c453bdeb516e5e
   ocaml(Plexing) = c292b4e882bd6cb2fcdcfda4941f762e
   ocaml(Ploc) = 1df551ecf24d6a03d3dd9532e83c7a57
   ocaml(Pprintf) = 07b3e3f9419650d621fccad666ffdd14
   ocaml(Pr_depend) = 27949e9f1ab64473bc22d0b53b5e90e7
   ocaml(Pr_dump) = 60b279e4f9692dba41a125647ee1f83b
   ocaml(Pretty) = 834752e28cf83792e7aa8c8c4d86a779
   ocaml(Pr_extend) = 5db9b37f9b9d1d2d6bb9a74f49c6e87b
   ocaml(Pr_extfun) = 15dd0ed79783d68bb988a4dcc9ea65b1
   ocaml(Pr_extprint) = 4e0a70d98db4122e62a3f861d3e97507
   ocaml(Pr_null) = 70548e946fd73b78cba9febf68ddafa8
   ocaml(Pr_o) = 9d4a3f355b713ece8b91168f9edfe731
   ocaml(Pr_op) = 6a31b7d48e21944f8296031da2b2873b
   ocaml(Pr_r) = 8630ad36109a6383da248e701db3b23e
   ocaml(Pr_ro) = 52efe069a4e0a5209bfbc3ae38318f08
   ocaml(Pr_rp) = 39335ab05e224034f3a59633d31ba023
   ocaml(Pr_scheme) = 971fdd9bb863f67371f548e8dfe72ec9
   ocaml(Pr_schemep) = 95662f94eadbc1a84bb982bc54e9e74f
   ocaml(Prtools) = 277870487307c82aeff29ef6e90536bb
   ocaml(Q_ast) = 108a41f294efcae50b62da5db4283d5b
   ocaml(Q_MLast) = a14918cea0beeca9bf79486e03aa38df
   ocaml(Q_phony) = 7a57c43979f6aa4bebf3f92663a3e45d
   ocaml(Quotation) = 1e1d19f6814f5c0e0d8c28551843319f
   ocaml(Reloc) = 50e2431392b4738553b5faa2be194a61
   ocaml(Rprint) = f931f4a0b70dad699eb5d85244dd69de
   ocaml(Stdpp) = f9b48f7e94e9243e51fc730e5ed9ed94
   ocaml(Token) = 7455639458c2f92d5bb45a28232d8e3b
   ocaml-camlp5 = 5.08-1.fc9
   ocaml(Arg) = 03e86a4154064ea900dc32c05f53e364
   ocaml(Array) = aa8e3cd5824f9bb40b93fcd38d0c95b5
   ocaml(Buffer) = f6cef633ea14963b84b79c4095c63dc3
   ocaml(Char) = e98bc9c9e918a84b3c1a5a122d42fac1
   ocaml(Consistbl) = 47f9cdffda6ba2de99c8e9f0c0c1b34d
   ocaml(Digest) = a5dd2d89492338578de12105e88c803f
   ocaml(Env) = 6d0215253b3fde95601c34944cacb607
   ocaml(Filename) = 633a1e7f590ff5e95124293dbef3b476
   ocaml(Format) = 35fe566f7a37d8991a5c822bd1463949
   ocaml(Hashtbl) = 083f2c94b44ff4e0b3220aaea6a783b4
   ocaml(Ident) = ba1acc56fc179d27bd55278cbc2abf40
   ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
   ocaml(Int64) = f8f7e2e4c0667ead94596040b12e732d
   ocaml(Lazy) = 8a4b5e7f0bdc6316df9264fd73cde981
   ocaml(Lexing) = b1793496643444d3762dd42bebe2cfe3
   ocaml(List) = da1ce9168f0408ff26158af757456948
   ocaml(Location) = eed044ad1204a633caad97bdd9048f8c
   ocaml(Longident) = 46fb8aad4fb2c12a0f301b02d8139f07
   ocaml(Map) = dedde7683d54ae7db1eb97cc868dd047
   ocaml(Nativeint) = e79cdc4d3575c2ed044955cb7ef49aca
   ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
   ocaml(Outcometree) = 6674fbd870cb2522aca4d851f3559202
   ocaml(Parsing) = 62cca107e4e88af303516459a87c3e9a
   ocaml(Path) = d8bc8e7163bac3a9a0a93f1cb07092d1
   ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57
   ocaml(Primitive) = 43a2770aed8fbcc536ab39d717fe9a7b
   ocaml(Printexc) = 82717999a586ede6925c0aa18d6562ac
   ocaml(Printf) = 5dbbf45a03b54e6dbfcf39178d0d6341
   ocaml(Set) = 7da14e671a035f12386ace3890018ef3
   ocaml(Sort) = 089a51dd8ddc078e57acf2f80b7c06f6
   ocaml(Stream) = 21a833e12efd34ea0c87d8d9da959809
   ocaml(String) = 2c162ab314b2f0a2cfd22d471b2e21ab
   ocaml(Sys) = 0da495f5a80f31899139359805318f28
   ocaml(Topdirs) = 2d07b01227af22b60aee18498198c35e
   ocaml(Toploop) = ead8879d71c4d5137fe5100fdd682a0b
   ocaml(Types) = df897aed3fc89c2129322c17067857b8
   ocaml(Warnings) = abcb1589615da86f20f475b0ed3bbabc
   ocaml(Weak) = 6d509339939dea165d9dfd44d8a6a035
   ocaml(runtime) = 3.10.1

   ocaml-camlp5-devel = 5.08-1.fc9
   ocaml-camlp5 = 5.08-1.fc9

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* acceptable duplicates in %files (license and readme)
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 8 Richard W.M. Jones 2008-03-01 08:38:49 EST
New Package CVS Request
Package Name: ocaml-camlp5
Short Description: Classical version of camlp4 OCaml preprocessor
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-03-01 13:31:37 EST
cvs done.
Comment 10 Benjamin Kreuter 2012-11-16 11:03:16 EST
Package Change Request
Package Name: ocaml-camlp5
New Branches: el5 el6
Owners: rjones

This is needed to branch coq to EPEL.

Note You need to log in before you can comment on or make changes to this bug.